RAWTHERAPEE 4.0.11 RELEASE NOTES
-------------------------------

NEW FEATURES
------------
- CIECAM02 "Adaptation scene luminosity" now calculated automatically
- CIECAM02 hot/bad pixel fixer to prevent bright pixels from appearing
- Defringe tool now able to target a range of specific colors without touching others
- New bundled processing profiles
- New keyboard shortcuts to apply rank and color labels and a new direct popup menu for color labels, all in the File Browser
- "Profile Fill Mode" button controls whether to replace missing processing profile values with default ones or not
- Keyboard shortcuts to open the next/previous image and to synchronize the File Browser strip with the currently opened image
- New demosaicing algorithms for noisy photos: LMMSE and IGV
- More zoom levels
- Redesigned save window
- New functionality of the minima/maxima control points curves editor, see manual
- Support for TIFF files with alpha channels
- Support for 32-bit TIFF files (HDR)
- Preferences/Batch processing options: all to 'Add' and all to 'Set'
- Support for 
  - Nikon D5200
  - Nikon D7100
  - Nikon COOLPIX A
  - Panasonic Lumix DMC-G5

+ Many significant speed improvements and bug fixes.

Refer to the RawTherapee Manual for information about these tools and how to use them.

CAVEATS
-------
- Memory requirements
Please read http://rawtherapee.com/blog/maximizing-memory-efficiency

- Differences between the preview and the output image
The color-managed preview in RawTherapee is (and has always been) based on image data in the Working Space profile. Although the actual preview is rendered using a monitor profile (or sRGB profile, if the monitor profile is not specified), it does not reflect the Output Profile & Output Gamma settings. This can lead to a slightly different output rendering when Working Space profile and Output Space profiles are not the same. A workaround is to set them to the same values to ensure the preview accurately reflects the final rendered output. 


DOCUMENTATION
-------------
http://rawtherapee.com/blog/documentation


REPORTING BUGS
--------------
http://rawtherapee.com/forum/viewtopic.php?f=3&t=3639#p25814


LIVE CHAT WITH RT USERS
-----------------------
Network: freenode
Server: chat.freenode.net
Channel #rawtherapee
http://webchat.freenode.net/?randomnick=1&channels=rawtherapee&prompt=1
http://rawtherapee.com/forum/viewtopic.php?f=1&t=945#p4603


SOCIAL NETWORKS
---------------
Google+
http://plus.google.com/106783532637761598368


REVISION HISTORY
----------------
The complete change log is available at
https://code.google.com/p/rawtherapee/source/list


CHANGELOG for 4.0.11
----------------------------------------------------------------------
DATE      	| CHANGESET 	| COMMITTER 	
----------------|---------------|-------------------------------------
> 2013-05-29    | 470c29ed6a41  | DrSlony
  Corrected black point for SONY NEX-5N

> 2013-05-29    | fbb67a25a09a  | DrSlony
  RELEASE_NOTES update and minor language fixes

> 2013-05-29    | 9ac597f34ae8  | DrSlony
  Formatting fixed in AUTHORS.txt

> 2013-05-29	| 1e4b86cf1395	| DrSlony
  Updated RawTherapee Manual

> 2013-05-29	| bb4b58223eea	| DrSlony
  Deleted obsolete language pack NSI, fixed cmake filename in
  buildRT.bat, set lanczos as default in procparams

> 2013-05-29	| bc487293d248	| DrSlony
  All processing profiles updated in preparation for 4.0.11

> 2013-05-29	| d75148769421	| DrSlony
  All language files updated in preparation for 4.0.11

> 2013-05-29	| c9ec2222a8ac	| DrSlony
  1- Some french strings have been shortened 2- The fast export panel
  instruction is now a tooltip (cursor over the title); it's width was
  a problem and took too much place, breaking the look'n feel 3- Some
  HSeparator removed from the Demozaicing tool 4- The demosaicing
  combobox has been normalized: now use the "(unchanged)" label and
  all tools' specific options appears when demozaicing is set to
  "(unchanged)" 5- (LAB/CIECAM) removed from the tools' title

> 2013-05-28	| 46c12a2e16cc	| Ingo
  Fixes double free or corruption (out) when using Noise Reduction,
  Issue 1887

> 2013-05-24	| c94f2f9dd252	| DrSlony
  Fixed Gimp button in OS X, issue 1876

> 2013-05-21	| 76f2254078c3	| DrSlony
  Updated Polish translation files

> 2013-05-20	| 4c332406824e	| DrSlony
  Updated Swedish translation on behalf of Johan, issue 1881

> 2013-05-19	| 65796b9dda5a	| Philip Rinn
  Fix athlon64 optimized build (see issue 1878).

> 2013-05-15	| 9bd3ef6835e4	| Ingo
  Amaze optimization, Issue 1835

> 2013-05-14	| c488bba38ab2	| DrSlony
  Windows compilation update, issue 1790

> 2013-05-14	| d3d1c1f29948	| Hombre 510
  Solving issue 1874: "RT doesn't build anymore for WinXP (32 bits)"

> 2013-05-12	| b2f3000bc7b7	| Michael Ezra
  Profiles: adding AutoAdapscen=true and minor cleanup

> 2013-05-12	| 0dcb69098bdf	| Hombre 510
  Issue 1858: "Defringe specific colors only" on behalf of J. Desmis

> 2013-05-12	| b1fe8fb3b59f	| Jacques Desmis
  Fix CIECAM - automatic calculation adaptation scene luminosity see
  issue1838

> 2013-05-08	| 22825c5ff4df	| Hombre 510
  The -0.1 value of the horizontal or vertical slider of the
  perspective tool were flipping the image.

> 2013-05-07	| fba2b429b2ce	| Ingo
  Memory corruption in cfa_linedn, Issue 1862

> 2013-05-05	| 2ff796a1bf2a	| Michael Ezra
  Synchronizing default values in procparams with Neutral, issue 1860

> 2013-05-02	| 506e247e5b56	| Michael Ezra
  Minor corrections to partial profiles to improve usability.

> 2013-04-28	| efcd2c7d3aa5	| Michael Ezra
  Bundled Profiles: Faded Pack. See illustration at http://www.Michael Ezra
  ezra.com/Projects/RT/profiles/FadePack1_RawTherapee-1.jpg

> 2013-04-28	| 22ff687131bc	| Hombre 510
  Solving issue 1851: "RT crashes in Single Editor Tab Mode when
  trying to save with Ctrl-S"

> 2013-04-27	| a84c8f5347d4	| Jacques Desmis
  Fix random bright pixels appear when using CIECAM02 and a wide gamut
  color space and automatic calculation of adaptation scene luminosity

> 2013-04-22	| ea6c670db992	| DrSlony
  Update to Mac OS X build system, courtesy of mattintosh4, issue 1795

> 2013-04-21	| 29e4432bd7ba	| Ingo
  avoids crashes when opening overexposed DNG v1.1 from CHDK or normal
  CR2, Issue 1545

> 2013-04-20	| 744ca8ec01ce	| DrSlony
  Updated Japanese translation file, courtesy of a3novy, issue 1847

> 2013-04-19	| 655b700600db	| DrSlony
  Italiano translation update courtesy of andrea.correani.1974, issue
  1846

> 2013-04-17	| 922e2f57fa19	| Ingo
  Fixes Issue 1826, names of non Canon-lenses on Canon-Cams are not
  correctly shown

> 2013-04-15	| 339ae731e7ae	| DrSlony
  Added EXPORT_BYPASS_RAW_LMMSE_ITERATIONS string, issue 1840

> 2013-04-14	| 09ee73410602	| Michael Ezra
  Fix to a copy-paste error in "Skintones - Pale TM bright.pp3"

> 2013-04-14	| f5c426f36f96	| Michael Ezra
  Fine-tuning of Skintones profiles

> 2013-04-14	| 03ea4fa3f29a	| Michael Ezra
  Shortcuts to apply rank and color labels and a new direct popup menu
  for color labels, all in the File Browser (issue 1839)

> 2013-04-13	| 28ce23ef4f37	| Hombre 510
  Adding support of the "Profile Fill Mode" button to the "Load
  Profile" button (see issue 1751)

> 2013-04-13	| 48fea5ec4f94	| Michael Ezra
  Revised Skintones profiles

> 2013-04-13	| e1c524e1353c	| Hombre 510
  Bringing back multithreaded thumbnails creation ; was commented out
  in changeset 1be6f248cb68 on 2013-01-10, see issue 1575

> 2013-04-12	| de3dc349d071	| Hombre 510
  Fixing a Mutex issue

> 2013-04-12	| 713188e5d01b	| DrSlony
  Updated Czech translation file courtesy of Marian.Kyral, issue
  1834.\nAdded button name "Processing profile fill mode" to tooltips.

> 2013-04-12	| 5a1b4262e56a	| DrSlony
  Language files prepared for 4.0.11

> 2013-04-12	| e9c5b7283ef1	| DrSlony
  Updated PP3 profiles

> 2013-04-10	| fc859e6d365e	| Michael Ezra
  Temprorarily removing Skintone Profiles

> 2013-04-10	| 27344a2006fe	| Michael Ezra
  Support for D5200, D7100 and Coolpix A (see issue 1815, thanks
  iliasgiarimis!)

> 2013-04-10	| dbf9ee41bf73	| DrSlony
  Added missing icon categories

> 2013-04-10	| dd94dcdc340d	| DrSlony
  New gtk-zoom-100 1:1 icon, issue 47

> 2013-04-10	| 06a651410d1f	| Hombre 510
  Workaround for issue 1794: "Cannot save image or PP3 from Image
  Editor" ; properly catching exceptions on Windows should be
  preferred ; this patch is a clean fix for Linux and MacOS

> 2013-04-09	| 503620ead6cb	| DrSlony
  Updated Swedish language file on behalf of Johan, issue 1831

> 2013-04-08	| 87b5133d992d	| Hombre 510
  Solving issue 1751: "When switching processing profiles, missing
  values should be taken from Neutral" ; also updates the French
  language file

> 2013-04-08	| 6d5af43cb122	| DrSlony
  Progress bar should not show "Loading thumbnails..." for empty dirs.
  Issue 1817 on behalf of tomasbuzek

> 2013-04-08	| 2e9fa9be2615	| Jacques Desmis
  Fix Tone mapping (CIECAM02) unusable - whites never white - see
  issue1827

> 2013-04-07	| 095a1235157c	| Michael Ezra
  Changed shortcut (from Alt to the right-side Alt) for auto-preview
  of highlight and shadow clipping indicators (Windows only) (see
  issue 1813)

> 2013-04-06	| 66f275ac243a	| Michael Ezra
  Image navigation for single tab editor, synchronization of editor
  with file browser and improvements to various other shortcuts (see
  issue 47, comment 52). Thanks Hombre & DrSlony for help!

> 2013-04-03	| 6be8ff565237	| Jacques Desmis
  LMMSE improves speed and sets a slider to improve processing see
  issue1802

> 2013-04-03	| 771d4a2519f5	| DrSlony
  Updated Japanese translation file on behalf of a3novy, issue 1820

> 2013-04-01	| 606bb2c78b8f	| Hombre 510
  Solving issue 1784: "Auto distortion correction is not working"

> 2013-03-31	| 798b81d99b54	| Michael Ezra
  New zoom levels (issue 1816)

> 2013-03-31	| d744553a5323	| Hombre 510
  Solving issue 1657: "Destination save path forgotten for photos in
  queue when RT crashes". Also allow to set the Saving parameters or
  not, when sent to the queue with the "Save as" dialog box

> 2013-03-31	| ececd05cba70	| DrSlony
  Revision of --help, issue 1812

> 2013-03-30	| e3519fdc498d	| DrSlony
  Default font size set to 12pt for OS X, issue 1808

> 2013-03-29	| fc1046f77622	| DrSlony
  Correction of in-source build warning

> 2013-03-29	| 6be8e8a05922	| DrSlony
  Updated Nederlands translation file, courtesy of willemtermeer,
  issue 1814

> 2013-03-29	| 7a2a5e4ccddd	| Philip Rinn
  Solve bug on Windows when using OpenMP+SSE in a more elegant way
  (see issue 1806)

> 2013-03-29	| fe7d3e8bed3a	| Hombre 510
  Solving issue 1762: "Auto Levels does not work with 8-bit images"
  and issue 1148: "Auto White Balance doesn't work in a File Browser
  tab"

> 2013-03-28	| fa97fdfcf4e0	| Ingo
  Fixes crashes, when using NR, because FFTW isn't tread save, Issue
  1796

> 2013-03-26	| a884eb9c035c	| DrSlony
  Updated Italiano translation file, courtesy of andrea.correani.1974,
  issue 1797

> 2013-03-26	| 4f1cebc4bd96	| Jacques Desmis
  Fix Colored pixel artifacts when using Edges issue1799

> 2013-03-24	| bb33242f93a5	| Ingo
  added xmul2f and xdiv2f to sleef.c

> 2013-03-24	| 5578e4820ec9	| Jacques Desmis
  CIECAM Fix curves blowing highlights see issue1766

> 2013-03-24	| 6dfd0cc40aa6	| DrSlony
  benchmarkRT update: added -a option to iteratively and easily speed-
  test all tools in RT

> 2013-03-21	| 3c72ae764348	| Jacques Desmis
  IGV Fix artifacts in clipped regions - one constant changed
  issue1771

> 2013-03-20	| 6c1b8ce38e17	| Hombre 510
  Adds some mandatory compilation flags (see issue 1736)

> 2013-03-20	| 978269033b7d	| Hombre 510
  Solving issue 1634: "Set horizontal hard stop for red point in the
  HSV equalizer"

> 2013-03-20	| 6fff125ef3b3	| Hombre 510
  Solving issue 1747: "HSV grid lines thicker"

> 2013-03-20	| 214fa0858181	| Hombre 510
  Solving issue 1776: "Support for TIFF files with alpha channel
  (RGBA)"

> 2013-03-19	| 21335ceb26f2	| Ingo
  Optimization for RGB_denoise when Delta sliders are used, Issue 1787

> 2013-03-19	| eab6fc33bf7d	| Jacques Desmis
  Optimization for Vibrance - Lab adjustements - CIE Colour Appearance
  see issue1789

> 2013-03-18	| 0ea5942ae023	| Jacques Desmis
  Edges code optimization

> 2013-03-16	| 6e2900010f31	| Michael Ezra
  Preferences/Batch processing options: all to 'Add' and all to 'Set'
  (issue 1785)

> 2013-03-16	| c5b75245e3b3	| Michael Ezra
  Increase of precision of perspective parameters in UI (issue 1781)
  pp3 version change to 307

> 2013-03-16	| f7611f8e7488	| Hombre 510
  Fixing SSE instability for Mingw32 systems (see issue 1736)

> 2013-03-16	| 18742e062e21	| Michael Ezra
  Support for Panasonic G5 (issue 1783)

> 2013-03-16	| b3537cf613ce	| Michael Ezra
  Fix for saving denoise method in file browser (see issue 1778)

> 2013-03-16	| 64730b9ac89b	| Ingo
  Compilation problem on i586, Issue 1780

> 2013-03-16	| b6830c960dda	| Hombre 510
  White balance was not applied for standard images at 1:1 scale

> 2013-03-14	| 324157f0931e	| Ingo
  Noise Reduction changes, Issue 1756

> 2013-03-14	| 097836b9d3f5	| Ingo
  Optimizations for Lab Adjustment, Issue 1758

> 2013-03-14	| c08d81e770a7	| Ingo
  Optimization for float-version of ciecam, Issue 1761

> 2013-03-14	| f3e1f334508b	| Ingo
  Optimization of damping part of RL-Sharpening, Issue 1759

> 2013-03-14	| 5afe62e4e8c9	| Jacques Desmis
  LMMSE IGV Fix reduce artefact in highlight and borders issue1771 and
  issue 1741

> 2013-03-12	| 525d840c7ab7	| DrSlony
  Updated Czech language translation file on behalf of Marian.Kyral,
  issue 1775

> 2013-03-11	| c02443d7d3a9	| Hombre 510
  Solving issue 1769: "Single Editor mode: unnecessary thumbnail
  refresh when switching from tab to tab"

> 2013-03-10	| a0b115669e6a	| Hombre 510
  Solving issue 1760: "ALLEnhance=false added to saved PP3 processing
  profiles"

> 2013-03-10	| 394197b9f1ff	| Jacques Desmis
  Igv and LMMSE demosaicing for noisy images see issue1741

> 2013-03-09	| b1a669e9cc89	| Ingo
  Optimization of RGB-Denoise, Issue 1755

> 2013-03-08	| 50973592b058	| Philip Rinn
  Fix generation of source tarball. Had wrong data in
  ReleaseInfo.cmake.

> 2013-03-08	| 9d01241bd5b1	| Ingo
  Some small changes to prepare following patches

> 2013-03-08	| ae06b5f0847a	| Michael Ezra
  Instructions for multithreaded compilation on windows (thanks,
  Ingo!) and minor corrections to the Release notes and default
  language file

> 2013-03-08	| ef43b8eb6032	| DrSlony
  Added tag 4.0.10 for changeset 592a1c6c880d

> 2013-03-08	| 592a1c6c880d	| DrSlony
  RELEASE_NOTES.txt updated for 4.0.10
